Package com.google.gwt.aria.client

## Interface RangeRole

- All Superinterfaces:
    `Role`, `WidgetRole`
  All Known Subinterfaces:
    `ProgressbarRole`, `ScrollbarRole`, `SliderRole`, `SpinbuttonRole`
  All Known Implementing Classes:
    `ProgressbarRoleImpl`, `ScrollbarRoleImpl`, `SliderRoleImpl`, `SpinbuttonRoleImpl`

      public interface RangeRole
      extends WidgetRole

  A type that represents the range role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaValuemaxProperty​(Element element)` | Returns the value of the aria-valuemax attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValueminProperty​(Element element)` | Returns the value of the aria-valuemin attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValuenowProperty​(Element element)` | Returns the value of the aria-valuenow attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValuetextProperty​(Element element)` | Returns the value of the aria-valuetext attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaValuemaxProperty​(Element element)` | Removes the aria-valuemax attribute from the `element`.
    `void` | `removeAriaValueminProperty​(Element element)` | Removes the aria-valuemin attribute from the `element`.
    `void` | `removeAriaValuenowProperty​(Element element)` | Removes the aria-valuenow attribute from the `element`.
    `void` | `removeAriaValuetextProperty​(Element element)` | Removes the aria-valuetext attribute from the `element`.
    `void` | `setAriaValuemaxProperty​(Element element, java.lang.Number value)` | Sets the aria-valuemax attribute for the `element` to the given `value`.
    `void` | `setAriaValueminProperty​(Element element, java.lang.Number value)` | Sets the aria-valuemin attribute for the `element` to the given `value`.
    `void` | `setAriaValuenowProperty​(Element element, java.lang.Number value)` | Sets the aria-valuenow attribute for the `element` to the given `value`.
    `void` | `setAriaValuetextProperty​(Element element, java.lang.String value)` | Sets the aria-valuetext attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaValuemaxProperty

          java.lang.String getAriaValuemaxProperty​(Element element)

      Returns the value of the aria-valuemax attribute for the `element` or "" if no such attribute is present.

    - #### getAriaValueminProperty

          java.lang.String getAriaValueminProperty​(Element element)

      Returns the value of the aria-valuemin attribute for the `element` or "" if no such attribute is present.

    - #### getAriaValuenowProperty

          java.lang.String getAriaValuenowProperty​(Element element)

      Returns the value of the aria-valuenow attribute for the `element` or "" if no such attribute is present.

    - #### getAriaValuetextProperty

          java.lang.String getAriaValuetextProperty​(Element element)

      Returns the value of the aria-valuetext attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaValuemaxProperty

          void removeAriaValuemaxProperty​(Element element)

      Removes the aria-valuemax attribute from the `element`.

    - #### removeAriaValueminProperty

          void removeAriaValueminProperty​(Element element)

      Removes the aria-valuemin attribute from the `element`.

    - #### removeAriaValuenowProperty

          void removeAriaValuenowProperty​(Element element)

      Removes the aria-valuenow attribute from the `element`.

    - #### removeAriaValuetextProperty

          void removeAriaValuetextProperty​(Element element)

      Removes the aria-valuetext attribute from the `element`.

    - #### setAriaValuemaxProperty

          void setAriaValuemaxProperty​(Element element,
                                       java.lang.Number value)

      Sets the aria-valuemax attribute for the `element` to the given `value`.

    - #### setAriaValueminProperty

          void setAriaValueminProperty​(Element element,
                                       java.lang.Number value)

      Sets the aria-valuemin attribute for the `element` to the given `value`.

    - #### setAriaValuenowProperty

          void setAriaValuenowProperty​(Element element,
                                       java.lang.Number value)

      Sets the aria-valuenow attribute for the `element` to the given `value`.

    - #### setAriaValuetextProperty

          void setAriaValuetextProperty​(Element element,
                                        java.lang.String value)

      Sets the aria-valuetext attribute for the `element` to the given `value`.